<?php

if (file_exists("data/fonts/body-size.txt")) {
	$maj_body_px = file_get_contents("data/fonts/body-size.txt") . "px";
}
else {
	$maj_body_px = "11px";
}

if (file_exists("data/fonts/input-size.txt")) {
	$maj_input_px = file_get_contents("data/fonts/input-size.txt") . "px";
}
else {
	$maj_input_px = "11px";
}

if (file_exists("data/fonts/panel-title-size.txt")) {
	$maj_font_12px = file_get_contents("data/fonts/panel-title-size.txt") . "px";
}
else {
	$maj_font_12px = "12px";
}

if (file_exists("data/fonts/panel-body-size.txt")) {
	$maj_font_11px = file_get_contents("data/fonts/panel-body-size.txt") . "px";
}
else {
	$maj_font_11px = "11px";
}

if (file_exists("data/fonts/panel-footer-size.txt")) {
	$maj_font_10px = file_get_contents("data/fonts/panel-footer-size.txt") . "px";
}
else {
	$maj_font_10px = "10px";
}

?>

<style>

html {
	font-size: <?php echo $maj_font_11px; ?>;
}

body {
	margin: 0px 0px 10px 10px;
	padding: 0px;
	text-align: left;

	font-size: <?php echo $maj_body_px; ?>;

	color: <?php
			if (file_exists("data/colors/font.txt")) {
				$maj_font_color = file_get_contents("data/colors/font.txt");
				echo $maj_font_color;
			}
			else {
				echo "#666666";
			}
	?>;

	font-family: <?php
				if (file_exists("data/fonts/body.txt")) {
					$maj_font_body = file_get_contents("data/fonts/body.txt");
					echo "{$maj_font_body},";
				}
	?> arial,helvetica,sans-serif;

	background-color: <?php
				if (file_exists("data/colors/bg.txt")) {
					$maj_background_color = file_get_contents("data/colors/bg.txt");
					if ($maj_background_color == "transparent") {
						echo "#ffffff";
					}
					else {
						echo $maj_background_color;
					}
				}
				else {
					echo "#ffffff";
				}
	?>;

	<?php
	if (file_exists("images/background.gif") and !file_exists("images/background.jpg") and !file_exists("images/background.png")) { ?>
		background-image: url('images/background.gif');
		background-attachment: <?php if (file_exists("data/bg-scroll.txt")) { echo scroll; } else { echo fixed; } ?>;
		background-repeat: <?php if (file_exists("data/bg-repeat.txt")) { readfile("data/bg-repeat.txt"); } else { echo repeat; } ?>;
		background-position: <?php if (file_exists("data/bg-position.txt")) { readfile("data/bg-position.txt"); } else { echo "top left"; } ?>;
	<?php 
	}
	if (!file_exists("images/background.gif") and file_exists("images/background.jpg") and !file_exists("images/background.png")) { ?>
		background-image: url('images/background.jpg');
		background-attachment: <?php if (file_exists("data/bg-scroll.txt")) { echo scroll; } else { echo fixed; } ?>;
		background-repeat: <?php if (file_exists("data/bg-repeat.txt")) { readfile("data/bg-repeat.txt"); } else { echo repeat; } ?>;
		background-position: <?php if (file_exists("data/bg-position.txt")) { readfile("data/bg-position.txt"); } else { echo "top left"; } ?>;
	<?php 
	}
	if (!file_exists("images/background.gif") and !file_exists("images/background.jpg") and file_exists("images/background.png")) { ?>
		background-image: url('images/background.png');
		background-attachment: <?php if (file_exists("data/bg-scroll.txt")) { echo scroll; } else { echo fixed; } ?>;
		background-repeat: <?php if (file_exists("data/bg-repeat.txt")) { readfile("data/bg-repeat.txt"); } else { echo repeat; } ?>;
		background-position: <?php if (file_exists("data/bg-position.txt")) { readfile("data/bg-position.txt"); } else { echo "top left"; } ?>;
	<?php 
	}
	?>
}

p,td {
	font-size: <?php echo $maj_font_11px; ?>;
}

a {
	font-weight: bold;
	text-decoration: none;
}

a:link {
	color: <?php
			if (file_exists("data/colors/link.txt")) {
				$maj_a_link_color = file_get_contents("data/colors/link.txt");
				echo $maj_a_link_color;
			}
			else {
				echo "#666666";
			}
	?>;
}

a:visited {
	color: <?php
			if (file_exists("data/colors/vlink.txt")) {
				$maj_a_visited_color = file_get_contents("data/colors/vlink.txt");
				echo $maj_a_visited_color;
			}
			else {
				echo "#666666";
			}
	?>;
}

a:hover {
	color: <?php
			if (file_exists("data/colors/hover.txt")) {
				$maj_a_hover_color = file_get_contents("data/colors/hover.txt");
				echo $maj_a_hover_color;
			}
			else {
				echo "#336699";
			}
	?>;
}

a:active {
	color: <?php
			if (file_exists("data/colors/hover.txt")) {
				$maj_a_active_color = file_get_contents("data/colors/hover.txt");
				echo $maj_a_active_color;
			}
			else {
				echo "#336699";
			}
	?>;
}

a.navlink:link,a.navlink:visited,a.navlink:active,a.navlink:hover {
	font-weight: normal;
	text-decoration: none;
}

.panel_title {
	padding: 5px 5px 5px 5px;
	margin: 0px 0px 0px 0px;
	border-width: 1px 1px 0px 1px;
	border-style: solid solid none solid;
	font-weight: bold;

	font-size: <?php echo $maj_font_12px; ?>;

	font-family: <?php
				if (file_exists("data/fonts/panel-title.txt")) {
					$maj_font_panel_title = file_get_contents("data/fonts/panel-title.txt");
					echo "{$maj_font_panel_title},";
				}
	?> arial,helvetica,sans-serif;

	color: <?php
			if (file_exists("data/colors/pt-font.txt")) {
				$maj_panel_title_font_color = file_get_contents("data/colors/pt-font.txt");
				echo $maj_panel_title_font_color;
			}
			else {
				echo "#666666";
			}
	?>;

	background-color: <?php
				if (file_exists("data/colors/pt-bg.txt")) {
					$maj_panel_title_background_color = file_get_contents("data/colors/pt-bg.txt");
					echo $maj_panel_title_background_color;
				}
				else {
					echo "transparent";
				}
	?>;

	border-color: <?php
				if (file_exists("data/colors/border.txt")) {
					$maj_panel_title_border_color = file_get_contents("data/colors/border.txt");
					echo $maj_panel_title_border_color;
				}
				else {
					echo "#cccccc";
				}
	?>;
}

.panel_body {
	font-size: <?php echo $maj_font_11px; ?>;

	font-family: <?php
				if (file_exists("data/fonts/panel-body.txt")) {
					$maj_font_panel_body = file_get_contents("data/fonts/panel-body.txt");
					echo "{$maj_font_panel_body},";
				}
	?> arial,helvetica,sans-serif;

	color: <?php
			if (file_exists("data/colors/pb-font.txt")) {
				$maj_panel_body_font_color = file_get_contents("data/colors/pb-font.txt");
				echo $maj_panel_body_font_color;
			}
			else {
				echo "#666666";
			}
	?>;

	<?php
		if (file_exists("data/round.txt")) {
			echo 'padding: 5px 5px 2px 5px;';
		}
		else {
			echo 'padding: 5px 5px 5px 5px;';
		}
	?>

	background-color: <?php
				if (file_exists("data/colors/pb-bg.txt")) {
					$maj_panel_body_background_color = file_get_contents("data/colors/pb-bg.txt");
					echo $maj_panel_body_background_color;
				}
				else {
					echo "transparent";
				}
	?>;

	<?php
		if (file_exists("data/round.txt")) {
			echo 'margin: 0px 0px 0px 0px;';
		}
		else {
			echo 'margin: 0px 0px 10px 0px;';
		}
	?>

	border-color: <?php
			if (file_exists("data/colors/border.txt")) {
				$maj_panel_body_border_color = file_get_contents("data/colors/border.txt");
				echo $maj_panel_body_border_color;
			}
			else {
				echo "#cccccc";
			}
	?>;

	<?php
		if (file_exists("data/round.txt")) {
			echo 'border-width: 1px 1px 0px 1px;';
			echo 'border-style: solid solid none solid;';
		}
		else {
			echo 'border-width: 1px 1px 1px 1px;';
			echo 'border-style: solid solid solid solid;';
		}
	?>
}

.panel_footer {
	text-align: right;

	font-size: <?php echo $maj_font_10px; ?>;

	font-family: <?php
				if (file_exists("data/fonts/panel-footer.txt")) {
					$maj_font_panel_footer = file_get_contents("data/fonts/panel-footer.txt");
					echo "{$maj_font_panel_footer},";
				}
	?> arial,helvetica,sans-serif;



	color: <?php
			if (file_exists("data/colors/pf-font.txt")) {
				$maj_panel_footer_font_color = file_get_contents("data/colors/pf-font.txt");
				echo $maj_panel_footer_font_color;
			}
			else {
				echo "#999999";
			}
	?>;

	<?php
		if (file_exists("data/round.txt")) {
			echo 'padding: 5px 5px 2px 5px;';
		}
		else {
			echo 'padding: 5px 5px 5px 5px;';
		}
	?>

	background-color: <?php
				if (file_exists("data/colors/pf-bg.txt")) {
					$maj_panel_footer_background_color = file_get_contents("data/colors/pf-bg.txt");
					echo $maj_panel_footer_background_color;
				}
				else {
					echo "transparent";
				}
	?>;

	<?php
		if (file_exists("data/round.txt")) {
			echo 'margin: 0px 0px 0px 0px;';
		}
		else {
			echo 'margin: 0px 0px 10px 0px;';
		}
	?>

	border-color: <?php
				if (file_exists("data/colors/border.txt")) {
					$maj_panel_footer_border_color = file_get_contents("data/colors/border.txt");
					echo $maj_panel_footer_border_color;
				}
				else {
					echo "#cccccc";
				}
	?>;

	<?php
		if (file_exists("data/round.txt")) {
			echo 'border-width: 1px 1px 0px 1px;';
			echo 'border-style: solid solid none solid;';
		}
		else {
			echo 'border-width: 0px 1px 1px 1px;';
			echo 'border-style: none solid solid solid;';
		}
	?>
}

.input { 	
	width: 300px; 
	background: #ffffff;

	font-size: <?php echo $maj_input_px; ?>;

	color: <?php
			if (file_exists("data/colors/border.txt")) {
				$maj_input_color = file_get_contents("data/colors/border.txt");
				echo $maj_input_color;
			}
			else {
				echo "#666666";
			}
	?>; 

	border: <?php
			if (file_exists("data/colors/border.txt")) {
				$maj_panel_footer_border_color = file_get_contents("data/colors/border.txt");
				echo $maj_panel_footer_border_color;
			}
			else {
				echo "#999999";
			}
	?> solid 1px;

	font-family: <?php
				if (file_exists("data/fonts/input.txt")) {
					$maj_font_input = file_get_contents("data/fonts/input.txt");
					echo "{$maj_font_input},";
				}
	?> arial,helvetica,sans-serif;
}

.search { 	
	color: #666666; 
	background: #ffffff; 
	width: 100%; 

	font-size: <?php echo $maj_font_11px; ?>;

	font-family: <?php
				if (file_exists("data/fonts/input.txt")) {
					$maj_font_input = file_get_contents("data/fonts/input.txt");
					echo "{$maj_font_input},";
				}
	?> arial,helvetica,sans-serif;
}

.panel_free {
	padding: 0px 0px 0px 0px;
	margin: 0px 0px 0px 0px;
}

.rbtop {
	display: block;
	background: transparent;
	font-size: 1px;
	margin: 0px 0px 0px 0px;
}

.rbbottom {
	display: block;
	background: transparent;
	font-size: 1px;
	margin: 0px 0px 10px 0px;
}

.rb1t,.rb2t,.rb3t,.rb4t,.rb1b,.rb2b,.rb3b,.rb4b,.rb1e,.rb2e,.rb3e,.rb4e {
	display: block;
	overflow: hidden;
}

.rb1t,.rb2t,.rb3t,.rb1b,.rb2b,.rb3b,.rb1e,.rb2e,.rb3e {
	height: 1px;
}

.rb2t,.rb3t,.rb4t {
	border-left: 1px solid;
	border-right: 1px solid;

	background-color: <?php
				if (file_exists("data/colors/pt-bg.txt")) {
					$maj_panel_title_background_color = file_get_contents("data/colors/pt-bg.txt");
					echo $maj_panel_title_background_color;
				}
				else {
					echo "transparent";
				}
	?>;

	border-color: <?php
			if (file_exists("data/colors/border.txt")) {
				$maj_panel_title_border_color = file_get_contents("data/colors/border.txt");
				echo $maj_panel_title_border_color;
			}
			else {
				echo "#cccccc";
			};
	?>;
}

.rb2b,.rb3b,.rb4b {
	border-left: 1px solid;
	border-right: 1px solid;

	background-color: <?php
				if (file_exists("data/colors/pb-bg.txt")) {
					$maj_panel_title_background_color = file_get_contents("data/colors/pb-bg.txt");
					echo $maj_panel_title_background_color;
				}
				else {
					echo "transparent";
				}
	?>;

	border-color: <?php
			if (file_exists("data/colors/border.txt")) {
				$maj_panel_title_border_color = file_get_contents("data/colors/border.txt");
				echo $maj_panel_title_border_color;
			}
			else {
				echo "#cccccc";
			};
	?>;
}

.rb2e,.rb3e,.rb4e {
	border-left: 1px solid;
	border-right: 1px solid;

	background-color: <?php
				if (file_exists("data/colors/pf-bg.txt")) {
					$maj_panel_title_background_color = file_get_contents("data/colors/pf-bg.txt");
					echo $maj_panel_title_background_color;
				}
				else {
					echo "transparent";
				}
	?>;

	border-color: <?php
			if (file_exists("data/colors/border.txt")) {
				$maj_panel_title_border_color = file_get_contents("data/colors/border.txt");
				echo $maj_panel_title_border_color;
			}
			else {
				echo "#cccccc";
			};
	?>;
}

.rb1t,.rb1b,.rb1e {
	margin: 0 5px;

	background: <?php
			if (file_exists("data/colors/border.txt")) {
				$maj_panel_title_border_color = file_get_contents("data/colors/border.txt");
				echo $maj_panel_title_border_color;
			}
			else {
				echo "#cccccc";
			};
	?>;
}

.rb2t,.rb2b,.rb2e {
	margin: 0 3px;
	border-width: 0 2px;
}

.rb3t,.rb3b,.rb3e {
	margin: 0 2px;
}

.rb4t,.rb4b,.rb4e {
	height: 2px;
	margin: 0 1px;
}

.xtitle {
	display: block;
	border:0 solid;
	border-width:0 1px;
	padding: 1px 5px 5px 5px;
	font-weight: bold;

	font-size: <?php echo $maj_font_12px; ?>;

	font-family: <?php
				if (file_exists("data/fonts/panel-title.txt")) {
					$maj_font_panel_title = file_get_contents("data/fonts/panel-title.txt");
					echo "{$maj_font_panel_title},";
				}
	?> arial,helvetica,sans-serif;

	color: <?php
			if (file_exists("data/colors/pt-font.txt")) {
				$maj_panel_title_font_color = file_get_contents("data/colors/pt-font.txt");
				echo $maj_panel_title_font_color;
			}
			else {
				echo "#666666";
			}
	?>;

	background-color: <?php
				if (file_exists("data/colors/pt-bg.txt")) {
					$maj_panel_title_background_color = file_get_contents("data/colors/pt-bg.txt");
					echo $maj_panel_title_background_color;
				}
				else {
					echo "transparent";
				}
	?>;

	border-color: <?php
			if (file_exists("data/colors/border.txt")) {
				$maj_panel_title_border_color = file_get_contents("data/colors/border.txt");
				echo $maj_panel_title_border_color;
			}
			else {
				echo "#cccccc";
			};
	?>;
}

.rbspace {
	height: 3px;
}

.panel_entry_body {
	margin: 0px 0px 0px 0px;

	font-size: <?php echo $maj_font_11px; ?>;

	font-family: <?php
				if (file_exists("data/fonts/panel-body.txt")) {
					$maj_font_panel_body = file_get_contents("data/fonts/panel-body.txt");
					echo "{$maj_font_panel_body},";
				}
	?> arial,helvetica,sans-serif;

	color: <?php
			if (file_exists("data/colors/pb-font.txt")) {
				$maj_panel_body_font_color = file_get_contents("data/colors/pb-font.txt");
				echo $maj_panel_body_font_color;
			}
			else {
				echo "#666666";
			}
	?>;

	<?php
		if (file_exists("data/round.txt")) {
			echo 'padding: 5px 5px 2px 5px;';
		}
		else {
			echo 'padding: 5px 5px 5px 5px;';
		}
	?>

	background-color: <?php
				if (file_exists("data/colors/pb-bg.txt")) {
					$maj_panel_body_background_color = file_get_contents("data/colors/pb-bg.txt");
					echo $maj_panel_body_background_color;
				}
				else {
					echo "transparent";
				}
	?>;

	border-color: <?php
			if (file_exists("data/colors/border.txt")) {
				$maj_panel_body_border_color = file_get_contents("data/colors/border.txt");
				echo $maj_panel_body_border_color;
			}
			else {
				echo "#cccccc";
			}
	?>;

	<?php
		if (file_exists("data/round.txt")) {
			echo 'border-width: 1px 1px 0px 1px;';
			echo 'border-style: solid solid none solid;';
		}
		else {
			echo 'border-width: 1px 1px 1px 1px;';
			echo 'border-style: solid solid solid solid;';
		}
	?>
}

.panel_category {
	padding: 5px 5px 5px 5px;
	margin: 0px 0px 0px 0px;
	text-align: left;

	font-size: <?php echo $maj_font_10px; ?>;

	font-family: <?php
				if (file_exists("data/fonts/panel-footer.txt")) {
					$maj_font_panel_category = file_get_contents("data/fonts/panel-footer.txt");
					echo "{$maj_font_panel_category},";
				}
	?> arial,helvetica,sans-serif;

	color: <?php
			if (file_exists("data/colors/pf-font.txt")) {
				$maj_panel_category_font_color = file_get_contents("data/colors/pf-font.txt");
				echo $maj_panel_category_font_color;
			}
			else {
				echo "#999999";
			}
	?>;

	background-color: <?php
				if (file_exists("data/colors/pf-bg.txt")) {
					$maj_panel_category_background_color = file_get_contents("data/colors/pf-bg.txt");
					echo $maj_panel_category_background_color;
				}
				else {
					echo "transparent";
				}
	?>;

	border-color: <?php
				if (file_exists("data/colors/border.txt")) {
					$maj_panel_category_border_color = file_get_contents("data/colors/border.txt");
					echo $maj_panel_category_border_color;
				}
				else {
					echo "#cccccc";
				}
	?>;

	<?php
		if (file_exists("data/round.txt")) {
			echo 'border-width: 1px 1px 0px 1px;';
			echo 'border-style: solid solid none solid;';
		}
		else {
			echo 'border-width: 0px 1px 1px 1px;';
			echo 'border-style: none solid solid solid;';
		}
	?>
}

<?php if (file_exists("data/css.txt")) { readfile("data/css.txt"); } ?>

</style>
